Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface T3ServicesDef

    public interface T3ServicesDef

The T3ServicesDef interface defines WebLogic Services. Services within WebLogic implement methods from this interface. The methods in this interface provide access to a factory for its type of service or facility. An object factory for a service or facility is used in place of a constructor (as a "virtual constructor") to allocate resources in WebLogic.

A JNDI client can obtain a T3ServicesDef object by performing a lookup on weblogic.common.T3Services as shown below:

      T3ServicesDef t3 = (T3ServicesDef)
         ctx.lookup("weblogic.common.T3Services");

Field Summary
`static String` | `NAME`

Method Summary
`AdminServicesDef` | `admin()` Returns access to administrative services in WebLogic.
`weblogic.io.common.IOServicesDef` | `io()` Returns access to IO services in WebLogic.
`weblogic.jdbc.common.JdbcServicesDef` | `jdbc()` Returns access to JDBC services in WebLogic.
`LogServicesDef` | `log()` Returns access to log file services in WebLogic.
`NameServicesDef` | `name()` Returns access to name services in WebLogic.
`TimeServicesDef` | `time()` Returns access to time services in WebLogic.

Field Detail

### NAME

    static final String NAME

See Also:
  Constant Field Values

Method Detail

### admin

    AdminServicesDef admin()

  Returns access to administrative services in WebLogic.

### jdbc

    weblogic.jdbc.common.JdbcServicesDef jdbc()

  Returns access to JDBC services in WebLogic.

### log

    LogServicesDef log()

  Returns access to log file services in WebLogic.

### name

    NameServicesDef name()

  Returns access to name services in WebLogic.

### io

    weblogic.io.common.IOServicesDef io()

  Returns access to IO services in WebLogic.

### time

    TimeServicesDef time()

  Returns access to time services in WebLogic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD